net.sf.jasperreports.data

## Class AbstractClasspathAwareDataAdapterService

- java.lang.Object
- - net.sf.jasperreports.data.AbstractDataAdapterService
  - - net.sf.jasperreports.data.AbstractClasspathAwareDataAdapterService

- All Implemented Interfaces:
    DataAdapterService, ParameterContributor
  Direct Known Subclasses:
    BeanDataAdapterService, DataSourceDataAdapterService, DataSourceProviderDataAdapterService, JdbcDataAdapterService

      public abstract class AbstractClasspathAwareDataAdapterService
      extends AbstractDataAdapterService

  Version:
    $Id: AbstractClasspathAwareDataAdapterService.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CURRENT_CLASS_LOADER`

    - ### Fields inherited from class net.sf.jasperreports.data.AbstractDataAdapterService

      `SECRETS_CATEGORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractClasspathAwareDataAdapterService(ClasspathAwareDataAdapter dataAdapter)` Deprecated. Replaced by `AbstractClasspathAwareDataAdapterService(JasperReportsContext, ClasspathAwareDataAdapter)`.
    `AbstractClasspathAwareDataAdapterService(JasperReportsContext jasperReportsContext, ClasspathAwareDataAdapter dataAdapter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.ClassLoader` | `getClassLoader(java.lang.ClassLoader cloader)`

    - ### Methods inherited from class net.sf.jasperreports.data.AbstractDataAdapterService

      `contributeParameters, dispose, getDataAdapter, getJasperReportsContext, getName, setDataAdapter, setName, test`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CURRENT_CLASS_LOADER

          public static final java.lang.String CURRENT_CLASS_LOADER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractClasspathAwareDataAdapterService

          public AbstractClasspathAwareDataAdapterService(JasperReportsContext jasperReportsContext,
                                                  ClasspathAwareDataAdapter dataAdapter)

    - #### AbstractClasspathAwareDataAdapterService

          public AbstractClasspathAwareDataAdapterService(ClasspathAwareDataAdapter dataAdapter)

      Deprecated. Replaced by `AbstractClasspathAwareDataAdapterService(JasperReportsContext, ClasspathAwareDataAdapter)`.

  - ### Method Detail

    - #### getClassLoader

          protected java.lang.ClassLoader getClassLoader(java.lang.ClassLoader cloader)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com